docs

# PathedFile

data class PathedFile ( val fileId: FileId , val fileUniqueId: FileUniqueId , val filePath: String , val fileSize: Long ? = null) : TelegramMediaFile
Content copied to clipboard

## Constructors

PathedFile
Link copied to clipboard
fun PathedFile ( fileId: FileId , fileUniqueId: FileUniqueId , filePath: String , fileSize: Long ? = null)
Content copied to clipboard

## Properties

fileId
Link copied to clipboard
open override val fileId : FileId
Content copied to clipboard
fileName
Link copied to clipboard
val fileName : FileName
Content copied to clipboard
filePath
Link copied to clipboard
val filePath : String
Content copied to clipboard
fileSize
Link copied to clipboard
open override val fileSize : Long ? = null
Content copied to clipboard
fileUniqueId
Link copied to clipboard
open override val fileUniqueId : FileUniqueId
Content copied to clipboard

## Extensions

asStream
Link copied to clipboard
fun PathedFile . asStream (telegramAPIUrlsKeeper: TelegramAPIUrlsKeeper): InputStream
Content copied to clipboard
download
Link copied to clipboard
suspend fun PathedFile . download (telegramAPIUrlsKeeper: TelegramAPIUrlsKeeper , client: HttpClient = HttpClient()): ByteArray
Content copied to clipboard
fullUrl
Link copied to clipboard
fun PathedFile . fullUrl (keeper: TelegramAPIUrlsKeeper ): String
Content copied to clipboard